apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: mo-api-ingress
  namespace: nemo-kernel
  labels:
    kustomize.toolkit.fluxcd.io/name: flux-system
    kustomize.toolkit.fluxcd.io/namespace: flux-system
  annotations:
      cert-manager.io/cluster-issuer: letsencrypt-production-2
      nginx.ingress.kubernetes.io/enable-modsecurity: "true"
spec:
  ingressClassName: nginx
  tls:
    - hosts:
        - mo.nemo.onelab.eu
      secretName: mo-api-tls
  rules:
    - host: mo.nemo.onelab.eu
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: mo-api-svc
                port:
                  number: 80
